for k = 1:50
%k=20
erroRMS(k,1) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado0(1:k))).^2)/k;
erroRMS(k,2) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado1(1:k))).^2)/k;
erroRMS(k,3) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado2(1:k))).^2)/k;
erroRMS(k,4) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado4(1:k))).^2)/k;
erroRMS(k,5) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado5(1:k))).^2)/k;
erroRMS(k,6) = 0;%sum((henkSVD(noisyD0(1:k))-henkSVD(Dado6(1:k))).^2)/k;
erroRMS(k,7) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado7(1:k))).^2)/k;
erroRMS(k,8) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado8(1:k))).^2)/k;
erroRMS(k,9) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado9(1:k))).^2)/k;
erroRMS(k,10) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado10(1:k))).^2)/k;
erroRMS(k,11) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado11(1:k))).^2)/k;
erroRMS(k,12) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado12(1:k))).^2)/k;
erroRMS(k,13) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado13(1:k))).^2)/k;
erroRMS(k,14) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado14(1:k))).^2)/k;
erroRMS(k,15) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado15(1:k))).^2)/k;
erroRMS(k,16) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado16(1:k))).^2)/k;
erroRMS(k,17) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado17(1:k))).^2)/k;
erroRMS(k,18) = sum((henkSVD(noisyD0(1:k))-henkSVD(Dado18(1:k))).^2)/k;
end

figure, mesh(erroRMS);
figure, plot(erroRMS);
figure, plot(erroRMS(:,1),'r');
hold;
plot(erroRMS(:,12),'g');
plot(erroRMS(:,18),'b');